# Wallet

Resource 'Wallet' operations.

## Retrieve the members profile information

> Returns the authenticated member's profile information, including their ID, email address, first name, and last name.

```json
{"openapi":"3.1.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Wallet","description":"Resource 'Wallet' operations."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"oauth":[]}],"components":{"securitySchemes":{"oauth":{"type":"oauth2","description":"OAuth 2.0 application Grant","flows":{"clientCredentials":{"authorizationUrl":"{store}/oauth/authorize","tokenUrl":"{store}/oauth/token","scopes":{}}}}},"schemas":{"Error.jsonld":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["number","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["number","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/api/member":{"get":{"operationId":"api_apimember_get","tags":["Wallet"],"responses":{"200":{"description":"Member profile retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","description":"The member ID"},"email":{"type":"string","format":"email","description":"The member's email address"},"firstName":{"type":"string","description":"The member's first name"},"lastName":{"type":"string","description":"The member's last name"},"tags":{"type":"array","description":"Assigned tags","items":{"type":"string"}}}}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"Retrieve the members profile information","description":"Returns the authenticated member's profile information, including their ID, email address, first name, and last name.","parameters":[]}}}}
```

## Retrieve all stores of value in the members wallet

> Returns the authenticated member's wallet contents, including all gift cards registered to the contact and any available offers.

```json
{"openapi":"3.1.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Wallet","description":"Resource 'Wallet' operations."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"oauth":[]}],"components":{"securitySchemes":{"oauth":{"type":"oauth2","description":"OAuth 2.0 application Grant","flows":{"clientCredentials":{"authorizationUrl":"{store}/oauth/authorize","tokenUrl":"{store}/oauth/token","scopes":{}}}}},"schemas":{"Error.jsonld":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["number","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["number","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/api/member/wallet":{"get":{"operationId":"api_apimemberwallet_get","tags":["Wallet"],"responses":{"200":{"description":"Wallet contents retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"giftCards":{"type":"array","description":"Gift cards registered to the contact","items":{"type":"object","properties":{"id":{"type":"integer","description":"Gift card ID"},"name":{"type":"string","description":"Gift card name"},"description":{"type":"string","nullable":true,"description":"Gift card description"},"status":{"type":"string","enum":["Valid","Partially redeemed","Redeemed","Expired","Not yet valid","Grace period","Refunded","Chargeback","Fraudulent"],"description":"Current status of the gift card"},"class":{"type":"string","enum":["Standard","Monetary","Configurable"],"nullable":true,"description":"Gift card class"},"partiallyRedeemable":{"type":"boolean","nullable":true,"description":"Whether the gift card can be partially redeemed"},"topupable":{"type":"boolean","nullable":true,"description":"Whether the gift card can be topped up"},"terms":{"type":"string","nullable":true,"description":"Terms and conditions"},"personalMessage":{"type":"string","nullable":true,"description":"Personal message on the gift card"},"redeemInstructions":{"type":"string","nullable":true,"description":"Instructions for redeeming the gift card"},"validFrom":{"type":"string","format":"date-time","nullable":true,"description":"Date the gift card becomes valid"},"expiresAt":{"type":"string","format":"date-time","nullable":true,"description":"Date the gift card expires"},"lastRedeemedAt":{"type":"string","format":"date-time","nullable":true,"description":"Date the gift card was last redeemed"},"createdAt":{"type":"string","format":"date-time","description":"Date the gift card was created"},"updatedAt":{"type":"string","format":"date-time","description":"Date the gift card was last updated"}}}},"offers":{"type":"array","description":"Available offers for the contact","items":{"type":"object"}}}}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"Retrieve all stores of value in the members wallet","description":"Returns the authenticated member's wallet contents, including all gift cards registered to the contact and any available offers.","parameters":[]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://glu.gitbook.io/docs/api-reference/store-api/wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
